Subject: Re: [PATCH] mtd/ifc: Add support for IFC controller version 2.0

From: Scott Wood <[email-masked]>
Date: Mon, 15 Feb 2016 18:41:50 -0600

On Mon, 2016-02-15 at 06:18 +0000, Raghav Dogra wrote:
> 
> > -----Original Message-----
> > From: Brian Norris [mailto:[email-masked]]
> > Sent: Saturday, February 13, 2016 1:14 AM
> > To: Li Yang <[email-masked]>
> > Cc: Raghav Dogra <[email-masked]>; [email-masked];
> > linuxppc-dev <[email-masked]>; [email-masked]; Prabhakar
> > Kushwaha <[email-masked]>; Jaiprakash Singh
> > <[email-masked]>
> > Subject: Re: [PATCH] mtd/ifc: Add support for IFC controller version 2.0
> > 
> > On Thu, Feb 04, 2016 at 05:07:16PM -0600, Li Yang wrote:
> > > On Wed, Feb 3, 2016 at 12:36 AM, Raghav Dogra <[email-masked]>
> > wrote:
> > > > The new IFC controller version 2.0 has a different memory map page.
> > > > Upto IFC 1.4 PAGE size is 4 KB and from IFC2.0 PAGE size is 64KB.
> > > > This patch segregates the IFC global and runtime registers to
> > > > appropriate PAGE sizes.
> > > 
> > > If the global registers and the runtime registers are so independent
> > > that they have to be on different page boundaries, it would make more
> > > sense for them to be defined as separate reg regions in the device
> > > tree at the very beginning.  Then we would only need to change the
> > > device tree now and it would be future proof for any page size.
> > 
> > To be clear: Scott, you were NACK'ing the DT binding change request,
> > right? I
> > though we had an Ack on the previous revision (that Raghav failed to
> > carry).
> > 
> > > > 
> > > > Signed-off-by: Jaiprakash Singh <[email-masked]>
> > > > Signed-off-by: Raghav Dogra <[email-masked]>
> > > 
> > > The patch cannot apply on latest 4.5-rc cleanly either.  Otherwise,
> > 
> > Yeah... neither this patch nor its (allegedly) dependent patch [1] apply
> > cleanly.
> > 
> > If you expect me to take this patch via MTD, please rebase to l2-mtd.git
> > as
> > stated here:
> > 
> > http://linux-mtd.infradead.org/source.html
> > 
> I expect Scott to pick this patch, and apply via linuxppc-dev. I will send
> the patch on based on
> git://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git
> Branch "master"

Why are you expecting that, for a patch that touches an MTD driver and doesn't
touch arch/powerpc, and for which I've already given an ack for it to go via
the MTD tree?

What tree did you use to generate this patch?  If there's stuff in the MTD
tree that conflicts, that's all the more reason to send it via the MTD tree
(after rebasing onto it).

-Scott